/*
 * \brief  MQTT type definitions
 * \author Timo Nicolai
 * \date   2023-02-24
 */

/*
 * Copyright (C) 2023 gapfruit AG
 */

#pragma once

/* Genode includes */
#include <util/string.h>


namespace MQTT {
	using Client_id  = Genode::String<256 + 1>; /* TODO: correct size? */
	using Hostname   = Genode::String<256 + 1>; /* TODO: correct size? */
	using Request_id = Genode::String<256 + 1>; /* TODO: correct size? */
	using Topic      = Genode::String<256 + 1>; /* TODO: correct size? */
	using Username   = Genode::String<256 + 1>; /* TODO: correct size? */
}
