/*
 * \brief  Azure SDK type definitions
 * \author Timo Nicolai
 * \date   2023-02-23
 */

/*
 * Copyright (C) 2023 gapfruit AG
 */

#pragma once

/* Genode includes */
#include <util/string.h>


namespace Azure {
	using Device_id          = Genode::String<256 + 1>; /* TODO: correct size? */
	using Direct_method_name = Genode::String<1024>;
	using Id_scope           = Genode::String<256 + 1>; /* TODO: correct size? */
	using IoT_hub_hostname   = Genode::String<256 + 1>; /* TODO: correct size? */
	using Registration_id    = Device_id;
	using Url                = Genode::String<2048>;
}
